%define name weechat
%define version 0.3.0
%define release %mkrel 1
%define Werror_cflags %nil
%define weegtk 0

%{?_without_gtk: %{expand: %%define weegkt 0}}
%{?_with_gtk: %{expand: %%define weegkt 1}}

Summary: Wee Enhanced Environment for Chat
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://www.weechat.org/files/src/%{name}-%{version}.tar.gz
Patch0:  weechat-0.3.0-cmake-pie.patch
Patch1:  weechat-0.3.0-cmake-paths.patch
License: GPL
Group: Networking/IRC
Url: http://www.weechat.org/
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: cmake
BuildRequires: ncurses-devel
# next need for utf8 support
BuildRequires: ncursesw-devel
BuildRequires: perl-devel
# Ruby & Python are really needed for the build, tks lbd
BuildRequires: python-devel
BuildRequires: ruby-devel
Buildrequires: lua-devel
BuildRequires: aspell-devel
BuildRequires: gettext-devel
BuildRequires: libgnutls-devel
BuildRequires: libgtk+2-devel
BuildRequires: tcl-devel

%description
WeeChat (Wee Enhanced Environment for Chat) is a free IRC client, fast and
light, designed for many operating systems.
 
Main features are: 
  - multi-servers connection
  - many GUI (Graphical User Interface): Curses, Gtk and Qt 
  - small, fast and light
  - customizable and extensible with scripts
  - compliant with RFCs 1459, 2810, 2811, 2812, and 2813
  - multi-platform (Gnu/Linux, *BSD, Windows and other)
  - 100% GPL, free software

Install %name-gtk to have the gtk-gui.

%post
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info


%files -f build/%name.lang
%defattr(-,root,root)
%_bindir/%name
%_bindir/%name-curses
%_mandir/man1/weechat*
%dir %_prefix/lib*/%name
%dir %_prefix/lib*/%name/plugins
%_prefix/lib*/%name/plugins/alias.so
%_prefix/lib*/%name/plugins/fifo.so
%_prefix/lib*/%name/plugins/irc.so
%_prefix/lib*/%name/plugins/logger.so
%_prefix/lib*/%name/plugins/xfer.so

#--------------------------------------------------------------------

%if %weegtk
%package gtk
Group: Networking/IRC
Summary: Wee Enhanced Environment for Chat (With GTK)
Requires: %name = %version

%description gtk
WeeChat (Wee Enhanced Environment for Chat) is a free IRC client, fast and
light, designed for many operating systems.
 
Main features are: 
  - multi-servers connection 
  - many GUI (Graphical User Interface): Curses, Gtk and Qt 
  - small, fast and light 
  - customizable and extensible with scripts 
  - compliant with RFCs 1459, 2810, 2811, 2812, and 2813 
  - multi-platform (Gnu/Linux, *BSD, Windows and other) 
  - 100% GPL, free software

This package contain %name-gtk

%files gtk
%defattr(-,root,root)
%_bindir/%name-gtk
%endif

#--------------------------------------------------------------------

%package perl
Group: Networking/IRC
Summary: Weechat perl plugins
Requires: %name = %version

%description perl
This package allow weechat to use perl scripts

%files perl
%defattr(-,root,root)
%_prefix/lib*/%name/plugins/*perl*

#--------------------------------------------------------------------

%package python
Group: Networking/IRC
Summary: Weechat python plugins
Requires: %name = %version

%description python
This package allow weechat to use python scripts

%files python
%defattr(-,root,root)
%_prefix/lib*/%name/plugins/*python*

#--------------------------------------------------------------------

%package tcl
Group: Networking/IRC
Summary: Weechat tcl plugins
Requires: %name = %version

%description tcl
This package allow weechat to use tcl scripts

%files tcl
%defattr(-,root,root)
%_prefix/lib*/%name/plugins/*tcl*

#--------------------------------------------------------------------

%package ruby
Group: Networking/IRC
Summary: Weechat ruby plugins
Requires: %name = %version

%description ruby
This package allow weechat to use ruby scripts

%files ruby
%defattr(-,root,root)
%_prefix/lib*/%name/plugins/*ruby*

#--------------------------------------------------------------------

%package lua
Group: Networking/IRC
Summary: Weechat lua plugins
Requires: %name = %version

%description lua
This package allow weechat to use lua scripts

%files lua
%defattr(-,root,root)
%_prefix/lib*/%name/plugins/*lua*

#--------------------------------------------------------------------

%package charset
Group: Networking/IRC
Summary: Weechat charset plugins
Requires: %name = %version

%description charset
This package allow weechat to use charset

%files charset
%defattr(-,root,root)
%_prefix/lib*/%name/plugins/*charset*

#--------------------------------------------------------------------

%package aspell
Group: Networking/IRC
Summary: Weechat aspell plugins
Requires: %name = %version

%description aspell
This package allow weechat to use aspell

%files aspell
%defattr(-,root,root)
%_prefix/lib*/%name/plugins/*aspell*

#--------------------------------------------------------------------

%package  devel
Summary:  Development files for weechat
Group:    Development/C
Requires: %{name} = %{version}-%{release} pkgconfig

%description devel
WeeChat (Wee Enhanced Environment for Chat) is a portable, fast, light and
extensible IRC client. Everything can be done with a keyboard.
It is customizable and extensible with scripts.

This package contains include files and pc file for weechat.

%files devel
%defattr(-,root,root)
%_includedir/weechat
%_libdir/pkgconfig/weechat.pc

#--------------------------------------------------------------------

%prep
%setup -q
%patch0 -p0
%patch1 -p0

%build
%cmake \
%if %weegtk
    -DENABLE_GTK=ON
%else
    -DENABLE_GTK=OFF
%endif

%make

%install
rm -fr %buildroot
cd build
%makeinstall_std

(
cd %buildroot%_bindir
ln -s %name-curses %name
)

%find_lang %name

%clean
rm -rf %buildroot


%changelog
* Sat Sep 26 2009 Nicolas Lécureuil <neoclust@mandriva.org> 0.3.0-1mdv2010.0
+ Revision: 449359
- Fix devel group
- Fix BuildRequires
- Fix typo
- Add cmake as BuildRequire
- Fix and apply patches
- Update to weechat 0.3.0
- Fix URL and Source0

* Sat Jun 13 2009 Frederik Himpe <fhimpe@mandriva.org> 0.2.6.3-1mdv2010.0
+ Revision: 385761
- Update to new version 0.2.6.3
- Remove gnutls patch: not needed anymore

* Thu Jun 04 2009 Funda Wang <fundawang@mandriva.org> 0.2.6.2-1mdv2010.0
+ Revision: 382602
- New version 0.2.6.2
- build with gnutls 2.8

* Thu Mar 19 2009 Frederik Himpe <fhimpe@mandriva.org> 0.2.6.1-1mdv2009.1
+ Revision: 358015
- BuildRequires gtk+2 in any case if autoreconf is run,
  disable gtk+ build with a configure option
- BuildRequires gettext-devel
- Update to version 0.2.6.1 (fixes CVE-2009-0661)

* Thu Dec 25 2008 Michael Scherer <misc@mandriva.org> 0.2.6-5mdv2009.1
+ Revision: 318502
- rebuild for new python

* Sat Aug 09 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.2.6-4mdv2009.0
+ Revision: 269671
- rebuild early 2009.0 package (before pixel changes)

* Mon May 26 2008 Olivier Thauvin <nanardon@mandriva.org> 0.2.6-3mdv2009.0
+ Revision: 211436
- enable build over libncursesw

* Mon Jan 14 2008 Olivier Thauvin <nanardon@mandriva.org> 0.2.6-2mdv2008.1
+ Revision: 151704
- rebuild for perl 5.10

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Oct 17 2007 Olivier Thauvin <nanardon@mandriva.org> 0.2.6-1mdv2008.1
+ Revision: 99790
- 0.2.6

* Tue Jun 19 2007 Olivier Thauvin <nanardon@mandriva.org> 0.2.5-1mdv2008.0
+ Revision: 41483
- 0.2.5


* Thu Jan 11 2007 Lenny Cartier <lenny@mandriva.com> 0.2.3-2mdv2007.0
+ Revision: 107474
- Buildrequires
- Update to 0.2.3

* Tue Dec 12 2006 Michael Scherer <misc@mandriva.org> 0.1.9-2mdv2007.1
+ Revision: 95678
- rebuild for new python

  + Olivier Thauvin <nanardon@mandriva.org>
    - Import weechat

